Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.complex
Class ComplexUtils

    java.lang.Object
      org.apache.commons.math.complex.ComplexUtils

public class ComplexUtils
extends Object

Implementations of various transcendental functions for `Complex` arguments. Reference:

- Multiple Precision Complex Arithmetic and Functions

Version:
  $Revision: 1.1 $ $Date: 2004/07/12 00:27:09 $

Method Summary
`static Complex` | `acos(Complex z)` Compute the inverse cosine for the given complex argument.
`static Complex` | `asin(Complex z)` Compute the inverse sine for the given complex argument.
`static Complex` | `atan(Complex z)` Compute the inverse tangent for the given complex argument.
`static Complex` | `cos(Complex z)` Compute the cosine for the given complex argument.
`static Complex` | `cosh(Complex z)` Compute the hyperbolic cosine for the given complex argument.
`static Complex` | `exp(Complex z)` Compute the exponential function for the given complex argument.
`static Complex` | `log(Complex z)` Compute the natural logarithm for the given complex argument.
`static Complex` | `pow(Complex y, Complex x)` Returns of value of `y` raised to the power of `x`.
`static Complex` | `sin(Complex z)` Compute the sine for the given complex argument.
`static Complex` | `sinh(Complex z)` Compute the hyperbolic sine for the given complex argument.
`static Complex` | `sqrt(Complex z)` Compute the squre root for the given complex argument.
`static Complex` | `sqrt1z(Complex z)` Compute the squre root of 1 - `z`2 for the given complex argument.
`static Complex` | `tan(Complex z)` Compute the tangent for the given complex argument.
`static Complex` | `tanh(Complex z)` Compute the hyperbolic tangent for the given complex argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acos

    public static Complex acos(Complex z)

  Compute the inverse cosine for the given complex argument.

  Parameters:
    `z` - the value whose inverse cosine is to be returned.
  Returns:
    the inverse cosine of `z`.

### asin

    public static Complex asin(Complex z)

  Compute the inverse sine for the given complex argument.

  Parameters:
    `z` - the value whose inverse sine is to be returned.
  Returns:
    the inverse sine of `z`.

### atan

    public static Complex atan(Complex z)

  Compute the inverse tangent for the given complex argument.

  Parameters:
    `z` - the value whose inverse tangent is to be returned.
  Returns:
    the inverse tangent of `z`.

### cos

    public static Complex cos(Complex z)

  Compute the cosine for the given complex argument.

  Parameters:
    `z` - the value whose cosine is to be returned.
  Returns:
    the cosine of `z`.

### cosh

    public static Complex cosh(Complex z)

  Compute the hyperbolic cosine for the given complex argument.

  Parameters:
    `z` - the value whose hyperbolic cosine is to be returned.
  Returns:
    the hyperbolic cosine of `z`.

### exp

    public static Complex exp(Complex z)

  Compute the exponential function for the given complex argument.

  Parameters:
    `z` - the value.
  Returns:
    e`z`.

### log

    public static Complex log(Complex z)

  Compute the natural logarithm for the given complex argument.

  Parameters:
    `z` - the value.
  Returns:
    ln `z`.

### pow

    public static Complex pow(Complex y,
                              Complex x)

  Returns of value of `y` raised to the power of `x`.

  Parameters:
    `y` - the base.
    `x` - the exponent.
  Returns:
    `y``z`.

### sin

    public static Complex sin(Complex z)

  Compute the sine for the given complex argument.

  Parameters:
    `z` - the value whose sine is to be returned.
  Returns:
    the sine of `z`.

### sinh

    public static Complex sinh(Complex z)

  Compute the hyperbolic sine for the given complex argument.

  Parameters:
    `z` - the value whose hyperbolic sine is to be returned.
  Returns:
    the hyperbolic sine of `z`.

### sqrt

    public static Complex sqrt(Complex z)

  Compute the squre root for the given complex argument.

  Parameters:
    `z` - the value whose square root is to be returned.
  Returns:
    the square root of `z`.

### sqrt1z

    public static Complex sqrt1z(Complex z)

  Compute the squre root of 1 - `z`2 for the given complex argument.

  Parameters:
    `z` - the value.
  Returns:
    the square root of 1 - `z`2.

### tan

    public static Complex tan(Complex z)

  Compute the tangent for the given complex argument.

  Parameters:
    `z` - the value whose tangent is to be returned.
  Returns:
    the tangent of `z`.

### tanh

    public static Complex tanh(Complex z)

  Compute the hyperbolic tangent for the given complex argument.

  Parameters:
    `z` - the value whose hyperbolic tangent is to be returned.
  Returns:
    the hyperbolic tangent of `z`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.